DominoSecurity (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoSecurity interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoSecurity

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DominoSecurity

extends LogicalElement

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  DOMSECU
Display Name:
  parent

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAccessServer()`
`java.lang.String` | `getAdministrators()`
`java.lang.String` | `getAllowedToUseMonitors()`
`java.lang.String` | `getCreateDatabasesAndTemplates()`
`java.lang.String` | `getCreateNewReplicas()`
`java.lang.String` | `getFullAccessAdministrators()`
`java.lang.String` | `getNotAccessServer()`
`DominoServer` | `getParent()`
`java.lang.String` | `getRunRestrictedLotusScript()`
`java.lang.String` | `getRunUnrestrictedMethodsAndOperations()`
`boolean` | `hasAccessServer()`
`boolean` | `hasAdministrators()`
`boolean` | `hasAllowedToUseMonitors()`
`boolean` | `hasCreateDatabasesAndTemplates()`
`boolean` | `hasCreateNewReplicas()`
`boolean` | `hasFullAccessAdministrators()`
`boolean` | `hasNotAccessServer()`
`boolean` | `hasParent()`
`boolean` | `hasRunRestrictedLotusScript()`
`boolean` | `hasRunUnrestrictedMethodsAndOperations()`
`void` | `setAccessServer(java.lang.String s)`
`void` | `setAdministrators(java.lang.String s)`
`void` | `setAllowedToUseMonitors(java.lang.String s)`
`void` | `setCreateDatabasesAndTemplates(java.lang.String s)`
`void` | `setCreateNewReplicas(java.lang.String s)`
`void` | `setFullAccessAdministrators(java.lang.String s)`
`void` | `setNotAccessServer(java.lang.String s)`
`void` | `setParent(DominoServer s)`
`void` | `setRunRestrictedLotusScript(java.lang.String s)`
`void` | `setRunUnrestrictedMethodsAndOperations(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setParent

    void setParent(DominoServer s)

### getParent

    DominoServer getParent()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ConfiguredUsing" reverse="true"

### hasParent

    boolean hasParent()

### setFullAccessAdministrators

    void setFullAccessAdministrators(java.lang.String s)

### getFullAccessAdministrators

    java.lang.String getFullAccessAdministrators()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasFullAccessAdministrators

    boolean hasFullAccessAdministrators()

### setAdministrators

    void setAdministrators(java.lang.String s)

### getAdministrators

    java.lang.String getAdministrators()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAdministrators

    boolean hasAdministrators()

### setAccessServer

    void setAccessServer(java.lang.String s)

### getAccessServer

    java.lang.String getAccessServer()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAccessServer

    boolean hasAccessServer()

### setNotAccessServer

    void setNotAccessServer(java.lang.String s)

### getNotAccessServer

    java.lang.String getNotAccessServer()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasNotAccessServer

    boolean hasNotAccessServer()

### setCreateDatabasesAndTemplates

    void setCreateDatabasesAndTemplates(java.lang.String s)

### getCreateDatabasesAndTemplates

    java.lang.String getCreateDatabasesAndTemplates()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCreateDatabasesAndTemplates

    boolean hasCreateDatabasesAndTemplates()

### setCreateNewReplicas

    void setCreateNewReplicas(java.lang.String s)

### getCreateNewReplicas

    java.lang.String getCreateNewReplicas()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasCreateNewReplicas

    boolean hasCreateNewReplicas()

### setAllowedToUseMonitors

    void setAllowedToUseMonitors(java.lang.String s)

### getAllowedToUseMonitors

    java.lang.String getAllowedToUseMonitors()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasAllowedToUseMonitors

    boolean hasAllowedToUseMonitors()

### setRunUnrestrictedMethodsAndOperations

    void setRunUnrestrictedMethodsAndOperations(java.lang.String s)

### getRunUnrestrictedMethodsAndOperations

    java.lang.String getRunUnrestrictedMethodsAndOperations()
                                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRunUnrestrictedMethodsAndOperations

    boolean hasRunUnrestrictedMethodsAndOperations()

### setRunRestrictedLotusScript

    void setRunRestrictedLotusScript(java.lang.String s)

### getRunRestrictedLotusScript

    java.lang.String getRunRestrictedLotusScript()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRunRestrictedLotusScript

    boolean hasRunRestrictedLotusScript()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD